Subject: Re: [PATCH V2 3/3] powerpc: Enable Rust for ppc64le

From: Nathan Chancellor <[email-masked]>
Date: Thu, 5 Feb 2026 13:02:22 -0700

On Thu, Feb 05, 2026 at 08:34:27PM +0100, Miguel Ojeda wrote:
> On Thu, Feb 5, 2026 at 6:29 PM Mukesh Kumar Chaurasiya
> <[email-masked]> wrote:
> >
> > use rust version nightly-2026-01-28
> >
> > the latest one has some issue. I just raised a bug for the rustc
> > here[1].
> >
> > [1] https://github.com/rust-lang/rust/issues/152177
> 
> It appears to be a bug in LLVM 22 for ppc64, not present in 21.
> 
> If I understand correctly, then it may be fixed in 22.1.9 if it gets released.
> 
> Thanks Jubilee for the quick reply there!
> 
> Cc'ing Clang/LLVM build support, in case they didn't hear about it.

Thanks for the CC, I had not seen that issue. LLVM 22 is currently in
the -rc phase and I see that the fix has been merged into the
release/22.x branch as of yesterday so it should be in LLVM 21.1.0-rc3
when it get released on February 10. LLVM 21.1.8 was the last release of
the 21.x series (hard to keep up with all the numbers...) and it sounds
like this is only a regression from the LLVM 22 development cycle.

Cheers,
Nathan